> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rendernet.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Asset V2

> The get asset endpoint lets users retrieve detailed information about a specific asset, including its size, type, status, URL, duration (for video and audio asset) and frames(for video asset)

<Info>
  V2 offers streamlined and precise attributes in requests and responses, making asset usage more efficient and simpler.
</Info>


## OpenAPI

````yaml get /pub/v2/assets/{asset_id}
openapi: 3.0.2
info:
  description: >-
    The Affogato API section provides a comprehensive set of APIs that allow you
    to create high-quality media content using textual and graphical inputs. By
    utilizing the features provided in this section, users can easily generate
    engaging visuals and media assets.You need an API key to use these APIs. To
    get your personal key, log in to Affogato, head to the account page at
    [Affogato](https://affogato.ai/account) and hit generate API key. Add this
    key as an X-API-Key header in the requests that you send.
  title: Affogato API
  version: '1.0'
servers: []
security: []
tags:
  - description: >-
      The Generation section allows users to create, view, and delete images on
      Rendernet.
    name: Generation
  - description: >-
      Explore all available resources that can be used for generating images on
      Rendernet. With this section, users can easily access key details about
      the resources at their disposal.
    name: Resources
  - description: Upload / Get information about assets that can be used for generation.
    name: Assets
paths:
  /pub/v2/assets/{asset_id}:
    get:
      tags:
        - Assets
      summary: Get Asset
      description: >-
        The get asset endpoint lets users retrieve detailed information about a
        specific asset, including its size, type, status, URL, duration (for
        video and audio asset) and frames(for video asset)
      parameters:
        - description: The id of the asset
          in: path
          name: asset_id
          required: true
          schema:
            type: string
        - description: >-
            API key needed to access our public endpoints. You can find yours
            under the 'Account' section of the website
          required: true
          schema:
            type: string
            title: X-API-KEY
            description: >-
              API key needed to access our public endpoints. You can find yours
              under the 'Account' section of the website
          name: X-API-KEY
          in: header
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetAssetSuccessResponseV2'
          description: The asset is successfully fetched
components:
  schemas:
    GetAssetSuccessResponseV2:
      properties:
        data:
          $ref: '#/components/schemas/AssetItemV2'
          type: object
        err:
          description: The error if the request was not successful
          type: object
      type: object
    AssetItemV2:
      properties:
        size:
          $ref: '#/components/schemas/ImageSize'
          description: The size of the asset
          type: object
        duration:
          description: >-
            The duration of the media in seconds. Applicable for audio and video
            assets
          type: integer
          example: 30
        frames:
          description: The total number of frames in the video asset uploaded
          type: integer
          example: 200
        url:
          description: The url of the asset
          example: object-url
          type: string
        id:
          description: The id of the asset
          example: asset_id
          type: string
        status:
          description: The status of the asset
          enum:
            - active
            - archive
            - pending
            - censored
            - processing
          example: active
          type: string
        type:
          description: The type of the asset
          enum:
            - image
            - audio
            - video
          example: image
          type: string
      type: object
    ImageSize:
      type: object
      properties:
        height:
          description: The height of the image
          example: 512
          type: integer
        width:
          description: The width of the image
          example: 512
          type: integer
      required:
        - height
        - width

````